# Manual d'usuari del &kde;

Harri
Porten

    porten@kde.org

15-10-2008
0.01.01
kjs
1

# `kjs`

Intèrpret ECMAScript compatible amb &kde;

## Sinopsis

    kjs  --help -help -h   -e sentència   script

## Descripció

`kjs` és un motor de ECMAScript/JavaScript per a KDE.

## Opcions d'aplicació

`--help`,`-help`,`-h`

  Mostra l'ús de `kjscmd`.

`-e` `sentència`

  Executa la sentència i surt. Per exemple:

      kjs -e "print('hola món')"

`script`

  Executa la sentència inclosa en el fitxer `script`.

## Ús

`kjs` `fitxer`, com molts altres intèrprets, quan es crida sense paràmetres utilitza un editor de línies per a introduir sentències, mostrant

    JS
    >

. Per a sortir escriviu `quit()` o premeu `Ctrl+D`.

## Veure també

kjs(1)

## Errors

Probablement hi ha un munt d'errors. Useu bugs.kde.org per a informar-ne.